{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":50641,"path":"source-to-pay-operations/supplier-lifecycle-operations/add-config-news-data-resource.md","title":"Add and configure the Get News data resource in UI Builder","bundle":null,"doc_type":null,"release":"australia","body":"\n# Add and configure the Get News data resource in UI Builder\n\nConfigure the Get News - Composite data resource to display supplier news in the News and Activity section of the Source-to-Pay Workspace.\n\n## Before you begin\n\nCreate a REST message for a custom API. For more information, see [Create a REST message for a custom API](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/source-to-pay-operations/supplier-lifecycle-operations/create-custom-api-rest.md).\n\nRole required: admin\n\n## About this task\n\nA data resource is the data that a page fetches to display the content in the components. For more information, see [Data resources in UI Builder](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/application-development/data-resources.md).\n\n## Procedure\n\n1.  Navigate to **All** &gt; **Now Experience Framework** &gt; **UI Builder**.\n\n2.  On the **Page Collections** tab, do one of the following:\n\n    -   For Supplier Manager Workspace, select **SLM Record page tabs**.\n    -   For Source-to-Pay Workspace, select **S2P SLM Record page tabs**.\n3.  In the About section, select **About default**.\n\n4.  From the lower-left pane, select the **+** icon next to the Data and scripts section.\n\n5.  In the Select data or script to add panel, select **Data resource**.\n\n6.  In the Select a data resource dialog box, in the search field, enter **Get News – Composite**.\n\n    In the Select a data resource section, you can add and configure data resource instances for your page. If you have any inherited data resources, you see them listed in the Inherited data resource pane but they are read-only. You do not configure inherited data in UI Builder.\n\n7.  Select the **Get News – Composite** tile and then select **Add** to add it to your page.\n\n8.  Select the **Configure** tab and then do the following:\n\n    1.  In the **When to evaluate this data resource** list, select when you want to evoke the data resource.\n    2.  In the **News Api** list, select the name of the REST message record.\n    3.  In the **News Api Method** list, select the name of the GET HTTP request method.\n    4.  In the **Query Params** field, select **Edit**.\n\n        The Query Params dialog box is displayed.\n\n    5.  On the **Edit JSON** tab, enter the query parameters, and then select **Apply**.\n    6.  In the **Response Base Path** field, enter the top-level object to retrieve information from.\n\n        You can also specify nested objects.\n\n    7.  In the **Response Field List** field, select **Edit**.\n\n        The Response Field List dialog box is displayed.\n\n    8.  On the **Edit JSON** tab, enter the fields that you want to display in the response, and then select **Apply**.\n    **Note:** Specifying specific fields enables you to retrieve filtered responses for REST endpoints. The response includes only the requested fields and objects.\n\n9.  Select **Save**.\n\n\n**Parent Topic:**[Configuring a custom API to dynamically fetch supplier news](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/source-to-pay-operations/supplier-lifecycle-operations/config-supplier-news-api.md)\n\n**Previous topic:**[Create a REST message for a custom API](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/source-to-pay-operations/supplier-lifecycle-operations/create-custom-api-rest.md)\n\n**Next topic:**[Update the field names in the UX client script](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/source-to-pay-operations/supplier-lifecycle-operations/update-client-script.md)\n\n**Related topics**  \n\n\n[Create a REST message for a custom API](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/source-to-pay-operations/supplier-lifecycle-operations/create-custom-api-rest.md)\n\n[Update the field names in the UX client script](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/source-to-pay-operations/supplier-lifecycle-operations/update-client-script.md)\n\n"}}